import type { Metadata } from '@nangohq/shared';
import type { GlobalOptions } from '../types.js';
interface RunArgs extends GlobalOptions {
    sync: string;
    connectionId: string;
    lastSyncDate?: string;
    useServerLastSyncDate?: boolean;
    input?: object;
    metadata?: Metadata;
}
declare class DryRunService {
    run(options: RunArgs, environment: string, debug?: boolean): Promise<void>;
}
declare const dryRunService: DryRunService;
export default dryRunService;
